package common.caching;

import java.util.*;

import common.caching.CachingException;

public class TestComplexCacheKey implements ICacheKey {

	private boolean isMultiSymbolSet;
	private int year;
	private String make;
	private String model;
	private String submodel;

	public TestComplexCacheKey() {
	}

	/**
 	 * Method to speficy the cache key logic.
	 */
	public Object getCacheKey() {
      // set the properties
      isMultiSymbolSet = true;
	   year = 2003;
	   make = "FORD";
	   model = "ECONOLINE";
	   submodel = "E-150";

		StringBuffer key = new StringBuffer();
		key.append(isMultiSymbolSet);

		if (year > 0l)
			key.append(year);

		if (make != null)
			key.append(make);

		if (model != null)
			key.append(model);

		if (submodel != null)
			key.append(submodel);

		return key.toString();
	}

   public Map getData() {
      HashMap hm = new HashMap();

      hm.put("isMultiSymbolSet", new Boolean(isMultiSymbolSet));
      hm.put("year", new Integer(year));
      hm.put("make", make);
      hm.put("model", model);
      hm.put("submodel", submodel);

      return hm;
   }

}
// End of TestComplexCacheKey.java
